﻿
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, 2012 and Azure
-- --------------------------------------------------
-- Date Created: 12/28/2017 10:05:59
-- Generated from EDMX file: C:\Users\Jos\Documents\Visual Studio 2015\Projects\UrgencyPlanner_EDM_Test\UrgencyPlanner_EDM_Test_2\UrgentOrdersModel.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [UrgentOrdersModelFirst];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------


-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------


-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'UrgentOrderSet'
CREATE TABLE [dbo].[UrgentOrderSet] (
    [UrgentOrderId] int IDENTITY(1,1) NOT NULL,
    [OrderNbr] int  NULL,
    [OrderArticle] int  NULL,
    [OrderQuantity] int  NULL,
    [OrderDescription] nvarchar(max)  NOT NULL,
    [Remarks] nvarchar(max)  NULL,
    [ConfirmationDate] datetime  NULL,
    [WorkCenter] nvarchar(max)  NULL
);
GO

-- Creating table 'AnswerSet'
CREATE TABLE [dbo].[AnswerSet] (
    [AnswerId] int IDENTITY(1,1) NOT NULL,
    [Contact] nvarchar(max)  NULL,
    [RequestDate] datetime  NULL,
    [AnswerText] nvarchar(max)  NULL,
    [UrgentOrderUrgentOrderId] int  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [UrgentOrderId] in table 'UrgentOrderSet'
ALTER TABLE [dbo].[UrgentOrderSet]
ADD CONSTRAINT [PK_UrgentOrderSet]
    PRIMARY KEY CLUSTERED ([UrgentOrderId] ASC);
GO

-- Creating primary key on [AnswerId] in table 'AnswerSet'
ALTER TABLE [dbo].[AnswerSet]
ADD CONSTRAINT [PK_AnswerSet]
    PRIMARY KEY CLUSTERED ([AnswerId] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [UrgentOrderUrgentOrderId] in table 'AnswerSet'
ALTER TABLE [dbo].[AnswerSet]
ADD CONSTRAINT [FK_UrgentOrderAnswer]
    FOREIGN KEY ([UrgentOrderUrgentOrderId])
    REFERENCES [dbo].[UrgentOrderSet]
        ([UrgentOrderId])
    ON DELETE NO ACTION ON UPDATE NO ACTION;
GO

-- Creating non-clustered index for FOREIGN KEY 'FK_UrgentOrderAnswer'
CREATE INDEX [IX_FK_UrgentOrderAnswer]
ON [dbo].[AnswerSet]
    ([UrgentOrderUrgentOrderId]);
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------