﻿Imports System.Collections.ObjectModel
Imports System.Collections.Specialized
Imports System.ComponentModel
Imports System.Data.Entity

Namespace ViewModel
    Public Class UrgencyListVm
        Inherits ViewModelBase

        Private ReadOnly _context As UrgentOrderContext

        Public Sub New()
            If Not IsInDesignMode Then
                _context = New UrgentOrderContext
                _context.Database.CreateIfNotExists()
                If Not _context.UrgentOrderSet.Any Then
                    Dim answere As New Answer() With {.AnswerText = "Antworttext", .Contact = "Neue Kontakt", .RequestDate = Now}
                    Dim answereList As New List(Of Answer) : answereList.Add(answere)
                    _context.UrgentOrderSet.Add(New UrgentOrder() With {.ConfirmationDate = Now, .OrderArticle = 12345, .OrderDescription = "Testartikel", .Remarks = "Beschreibung" _
                                               , .Answers = answereList, .OrderNbr = 521145, .OrderQuantity = 235, .WorkCenter = "Workcenter 123"})

                    _context.SaveChanges()
                End If



                UrgentOrderList = (From u As UrgentOrder In _context.UrgentOrderSet.Include(Function(u) u.Answers)).ToList
                'Include sorgt dafür das benötigte Daten (Answers) gleich mitgeladen werden anstatt X Befehle an die DB zu senden was viel länger dauert
                'Um in Include keinen String sondern einen LINQ mitgeben zu können ist ein Import auf System.Data.Entity notwendig

                UrgentOrdersView = CollectionViewSource.GetDefaultView(UrgentOrderList)
                AddHandler UrgentOrdersView.CollectionChanged, AddressOf ListView_Changed

            End If
        End Sub

        Private Sub ListView_Changed(sender As Object, e As NotifyCollectionChangedEventArgs)

            Select Case e.Action
                Case NotifyCollectionChangedAction.Add
                    If GetType(UrgentOrder) Is e.NewItems(0).GetType Then
                        Dim tempObj = CType(e.NewItems(0), UrgentOrder)
                        tempObj.Answers = New List(Of Answer)
                        _context.UrgentOrderSet.Add(tempObj)
                    End If
                Case NotifyCollectionChangedAction.Remove
                    _context.UrgentOrderSet.Remove(_context.UrgentOrderSet.Find(CType(e.NewItems(0), UrgentOrder).UrgentOrderId))

            End Select
        End Sub

        Private _urgentOrderList As List(Of UrgentOrder)
        Public Property UrgentOrderList() As List(Of UrgentOrder)
            Get
                Return _urgentOrderList
            End Get
            Set(ByVal value As List(Of UrgentOrder))
                _urgentOrderList = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _urgentOrdersView As ICollectionView
        Public Property UrgentOrdersView() As ICollectionView
            Get
                Return _urgentOrdersView
            End Get
            Set(ByVal value As ICollectionView)
                _urgentOrdersView = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _saveCommand As ICommand
        Public Property SaveCommand() As ICommand
            Get
                If _saveCommand Is Nothing Then _saveCommand = New RelayCommand(AddressOf SaveCommand_Execute, AddressOf SaveCommand_CanExecute)
                Return _saveCommand
            End Get
            Set(ByVal value As ICommand)
                _saveCommand = value
                RaisePropertyChanged()
            End Set
        End Property

        Private Sub SaveCommand_Execute(obj As Object)
            MessageBox.Show(_context.SaveChanges & " änderungen gespeichert")
        End Sub

        Private Function SaveCommand_CanExecute(obj As Object) As Boolean
            If _context Is Nothing Then Return False
            _context.ChangeTracker.DetectChanges()
            Return _context.ChangeTracker.HasChanges()
        End Function

        Protected Overrides Sub Dispose(disposing As Boolean)
            MyBase.Dispose(disposing)

            _context.Dispose()
        End Sub

    End Class
End Namespace